# Uses of Class
org.apache.sysds.runtime.compress.cost.InstructionTypeCounter

Packages that use InstructionTypeCounter
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.cost
org.apache.sysds.runtime.controlprogram.federated

## Uses of InstructionTypeCounter in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type InstructionTypeCounter
Modifier and Type
Method
Description
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, int k, InstructionTypeCounter ins)`
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, InstructionTypeCounter ins)`
`static Future<Void>`
CompressedMatrixBlockFactory.`compressAsync(ExecutionContext ec, String varName, InstructionTypeCounter ins)`

## Uses of InstructionTypeCounter in org.apache.sysds.runtime.compress.cost

Methods in org.apache.sysds.runtime.compress.cost that return InstructionTypeCounter
Modifier and Type
Method
Description
`InstructionTypeCounter`
CostEstimatorBuilder.`getCounter()`
Constructors in org.apache.sysds.runtime.compress.cost with parameters of type InstructionTypeCounter
Modifier
Constructor
Description
``
`CostEstimatorBuilder(InstructionTypeCounter counter)`

## Uses of InstructionTypeCounter in org.apache.sysds.runtime.controlprogram.federated

Method parameters in org.apache.sysds.runtime.controlprogram.federated with type arguments of type InstructionTypeCounter
Modifier and Type
Method
Description
`void`
FederatedWorkloadAnalyzer.`incrementWorkload(ExecutionContext ec, ConcurrentHashMap<Long,InstructionTypeCounter> mm, ComputationCPInstruction cpIns)`